<template>
	<div
		:class="{ 'text-right' : (index + total) % 2 === 0 }"
		:key="comment.id"
	>
		<h6>{{ comment.user.name }}</h6>
		<div class="comment">
			<p class="comment__date">{{ globalDateToString(comment.timestamp, true) }}</p>
			<p class="comment__text">
				{{ comment.text }}
			</p>
		</div>
	</div>
</template>

<script>
export default {
	name: "Comment",
	props: {
		comment: {},
		total: Number,
		index: Number
	}
}
</script>

<style scoped>

</style>